// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "util/XmlParser.hpp"
#include "events/VNPositionParser.hpp"

namespace Dawn {
  struct VNSceneEvent {
    int32_t bruh;
  };

  class VNSceneEventsParser : public XmlParser<struct VNSceneEvent> {
    protected:
      std::vector<std::string> getRequiredAttributes() override;
      std::map<std::string, std::string> getOptionalAttributes() override;
      int32_t onParse(
        Xml *node,
        std::map<std::string, std::string> values,
        struct VNSceneEvent *out,
        std::string *error
      ) override;
  };
}