// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "VNSceneTool.hpp"

using namespace Dawn;

std::vector<std::string> VNSceneTool::getRequiredFlags() {
  return { "input" };
}

std::map<std::string, std::string> VNSceneTool::getOptionalFlags() {
  return std::map<std::string, std::string>();
}

int32_t VNSceneTool::start() {
  File input = File(flags["input"]);
  if(!input.exists()) {
    std::cout << "Input file does not exist!" << std::endl;
    return 1;
  }

  std::string data;
  if(!input.readString(&data)) {
    std::cout << "Failed to read input file!" << std::endl;
    return 1;
  }

  auto xml = Xml::load(data);
  std::string error;
  struct VNScene scene;
  auto result = ((VNSceneParser()).parse(&xml, &scene, &error));
  if(result != 0) {
    std::cout << "Failed to parse scene: " << error << std::endl;
    return result;
  }

  // Generate output

  return 0;
}